%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           fluxstyle
Version:        1.0.1
Release:        1%{?dist}
Summary:        A graphical style manager for Fluxbox

Group:          User Interface/X
License:        GPL
URL:            http://fluxstyle.berlios.de
Source0:        http://errr-online.com/%{name}/%{version}/%{name}-%{version}.tar.bz2
Source1:        fluxstyle.desktop

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python >= 2.3, pygtk2-libglade, pygtk2, desktop-file-utils
# Im not sure how which of these requires is really needed... the fluxbox for sure 
# (version of flux is important due to a bug in pre .9.15) 
# but considering yum has to have python is making it a require really needed?
Requires:       python >= 2.3, pygtk2 >= 2.4, pygtk2-libglade, fluxbox >= 0.9.15  

%description
fluxstyle is a graphical style manager for the fluxbox window manager.
fluxstyle is written in python using pygtk and glade, you can use it
to preview, add, remove and apply styles in fluxbox.

%prep
%setup -q

sed -i s,"mini-fluxbox6.png","../images/mini-fluxbox6.png", images/main.glade
sed -i s,"fluxmetal.png","../images/fluxmetal.png", images/main.glade
%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --vendor  fedora \
    --dir ${RPM_BUILD_ROOT}%{_datadir}/applications \
    --add-category X-Fedora  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
cp images/fluxmetal.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

#clean up docs
rm -rf %{buildroot}%{_datadir}/%{name}/docs
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs/Changelog docs/LICENSE docs/README
%{_bindir}/fluxStyle

%dir %{python_sitelib}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/glade/
%dir %{_datadir}/%{name}/images/
%dir %{_datadir}/icons/hicolor/48x48/apps

%{python_sitelib}/%{name}/parseConfig.py
%{python_sitelib}/%{name}/errorMessage.py 
%{python_sitelib}/%{name}/findStyles.py
%{python_sitelib}/%{name}/__init__.py
%{python_sitelib}/%{name}/*.pyc
%{python_sitelib}/%{name}/*.pyo

%{_datadir}/%{name}/glade/main.glade
%{_datadir}/%{name}/images/*.png
%{_datadir}/%{name}/images/none.jpg
%{_datadir}/applications/fedora-fluxstyle.desktop
%{_datadir}/icons/hicolor/48x48/apps/fluxmetal.png

%changelog
* Sun Oct 22 2006 Michael Rice <errr[AT]errr-online.com> - 1.0.1-1
- Version bump
- Fix Mime in .desktop file

* Thu Oct 19 2006 Michael Rice <errr[AT]errr-online.com> - 1.0-3
- Remove ghost from *.pyo
- Remove CFLAGS for noarch
- Remove python site search

* Wed Oct 18 2006 Michael Rice <errr[AT]errr-online.com> - 1.0-2
- Submission to extras for review
- Add .desktop file

* Wed Sep 20 2006 Michael Rice <errr@errr-online.com> - 1.0-1
- Build for fc5 fluxstyle-1.0-1

* Tue Apr 11 2006 Michael Rice <errr@errr-online.com> - 1.0
- Initial RPM release
